package com.gic.haoban.manage.service.dao.mapper;

import com.gic.haoban.manage.service.entity.hm.TabHaobanWelcomeTemplateRelation;
import com.gic.haoban.manage.service.pojo.qo.WelcomeRelationQO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabHaobanWelcomeTemplateRelationMapper {
    int deleteByPrimaryKey(Long relationId);

    int insert(TabHaobanWelcomeTemplateRelation record);

    int insertSelective(TabHaobanWelcomeTemplateRelation record);

    TabHaobanWelcomeTemplateRelation selectByPrimaryKey(Long relationId);

    int updateByPrimaryKeySelective(TabHaobanWelcomeTemplateRelation record);

    int updateByPrimaryKey(TabHaobanWelcomeTemplateRelation record);

    /**
     * 条件查询欢迎语关联的引用方
     * @param welcomeRelationQO
     * @return
     */
    List<TabHaobanWelcomeTemplateRelation> queryWelcomeTemplate(WelcomeRelationQO welcomeRelationQO);

    List<TabHaobanWelcomeTemplateRelation> queryWelTemplateRelation(@Param("welcomeId") String welcomeId,
                                                              @Param("referId") String referId,
                                                              @Param("status") Integer status);
}